var YUI_MODULES = (function(){
  var SKIN_SAM_PREFIX = 'skin-sam-',
  FILESAVER = "FileSaver",
  ADDED_SERVICES_LIST = "added-services-list",
  ADDED_SERVICES_LIST_ITEM = "added-services-list-item",
  AFTER = "after",
  APP_BASE = "app-base",
  APP_COOKIES_EXTENSION = "app-cookies-extension",
  APP_TRANSITIONS = "app-transitions",
  ARRAY_EXTRAS = "array-extras",
  AUTODEPLOY_EXTENSION = "autodeploy-extension",
  BASE = "base",
  BASE_BUILD = "base-build",
  BOOLEAN_CONFIG = "boolean-config",
  BROWSER_CACHE = "browser-cache",
  BUNDLE_IMPORT_NOTIFICATIONS = "bundle-import-notifications",
  BUNDLE_IMPORTER = "bundle-importer",
  BUTTON_ROW = "button-row",
  CHANGES_UTILS = "changes-utils",
  CHARMBROWSER_COMPONENT = "charmbrowser-component",
  CONSTRAINTS = "constraints",
  COOKIE = "cookie",
  COPY_TO_CLIPBOARD = "copy-to-clipboard",
  CSS = "css",
  D3 = "d3",
  D3_COMPONENTS = "d3-components",
  D3_STATUSBAR = "d3-statusbar",
  DATASOURCE_IO = "datasource-io",
  DATASOURCE_JSONSCHEMA = "datasource-jsonschema",
  DATATYPE_DATE_FORMAT = "datatype-date-format",
  DEPLOYMENT_BAR = "deployment-bar",
  DEPLOYMENT_BAR_NOTIFICATION = "deployment-bar-notification",
  DEPLOYMENT_COMPONENT = "deployment-component",
  DEPLOYMENT_SUMMARY = "deployment-summary",
  DEPLOYMENT_SUMMARY_CHANGE_ITEM = "deployment-summary-change-item",
  DEPLOYMENT_SUMMARY_PLACEMENT = "deployment-summary-placement",
  ENTITY_CONTENT = "entity-content",
  ENTITY_CONTENT_CONFIG_OPTION = "entity-content-config-option",
  ENTITY_CONTENT_DIAGRAM = "entity-content-diagram",
  ENTITY_CONTENT_README = "entity-content-readme",
  ENTITY_CONTENT_RELATIONS = "entity-content-relations",
  ENTITY_CONTENT_REVISIONS = "entity-content-revisions",
  ENTITY_DETAILS = "entity-details",
  ENTITY_EXTENSION = "entity-extension",
  ENTITY_FILES = "entity-files",
  ENTITY_HEADER = "entity-header",
  ENV_LIST = "env-list",
  ENV_SIZE_DISPLAY = "env-size-display",
  ENV_SWITCHER = "env-switcher",
  ENVIRONMENT_CHANGE_SET = "environment-change-set",
  ESCAPE = "escape",
  EVENT = "event",
  EVENT_KEY = "event-key",
  EVENT_RESIZE = "event-resize",
  EVENT_TOUCH = "event-touch",
  EVENT_TRACKER = "event-tracker",
  EXPANDING_PROGRESS = "expanding-progress",
  EXT = "ext",
  GALLERY_MARKDOWN = "gallery-markdown",
  GENERIC_BUTTON = "generic-button",
  GHOST_DEPLOYER_EXTENSION = "ghost-deployer-extension",
  HANDLEBARS = "handlebars",
  HANDLEBARS_BASE = "handlebars-base",
  HEADER_SEARCH = "header-search",
  INSPECTOR_CHANGE_VERSION = "inspector-change-version",
  INSPECTOR_CHANGE_VERSION_ITEM = "inspector-change-version-item",
  INSPECTOR_COMPONENT = "inspector-component",
  INSPECTOR_CONFIG = "inspector-config",
  INSPECTOR_CONFIRM = "inspector-confirm",
  INSPECTOR_EXPOSE = "inspector-expose",
  INSPECTOR_EXPOSE_UNIT = "inspector-expose-unit",
  INSPECTOR_HEADER = "inspector-header",
  INSPECTOR_RELATIONS = "inspector-relations",
  INSPECTOR_RELATIONS_ITEM = "inspector-relations-item",
  IO = "io",
  IO_BASE = "io-base",
  JS = "js",
  JS_YAML = "js-yaml",
  JSON_PARSE = "json-parse",
  JSON_STRINGIFY = "json-stringify",
  JUJU_APP_STATE = "juju-app-state",
  JUJU_BROWSER_MODELS = "juju-browser-models",
  JUJU_BUNDLE_MODELS = "juju-bundle-models",
  JUJU_CHARM_MODELS = "juju-charm-models",
  JUJU_DELTA_HANDLERS = "juju-delta-handlers",
  JUJU_ENDPOINTS = "juju-endpoints",
  JUJU_ENDPOINTS_CONTROLLER = "juju-endpoints-controller",
  JUJU_ENV_BAKERY = "juju-env-bakery",
  JUJU_ENV_BASE = "juju-env-base",
  JUJU_ENV_FAKEBACKEND = "juju-env-fakebackend",
  JUJU_ENV_GO = "juju-env-go",
  JUJU_ENV_SANDBOX = "juju-env-sandbox",
  JUJU_ENV_WEB_HANDLER = "juju-env-web-handler",
  JUJU_ENV_WEB_SANDBOX = "juju-env-web-sandbox",
  JUJU_FAKEBACKEND_SIMULATOR = "juju-fakebackend-simulator",
  JUJU_GUI = "juju-gui",
  JUJU_LANDSCAPE = "juju-landscape",
  JUJU_MODELS = "juju-models",
  JUJU_TEMPLATES = "juju-templates",
  JUJU_TOPOLOGY = "juju-topology",
  JUJU_TOPOLOGY_PANZOOM = "juju-topology-panzoom",
  JUJU_TOPOLOGY_RELATION = "juju-topology-relation",
  JUJU_TOPOLOGY_SERVICE = "juju-topology-service",
  JUJU_TOPOLOGY_UTILS = "juju-topology-utils",
  JUJU_TOPOLOGY_VIEWPORT = "juju-topology-viewport",
  JUJU_VIEW_ENVIRONMENT = "juju-view-environment",
  JUJU_VIEW_UTILS = "juju-view-utils",
  JUJU_WEBSOCKET_LOGGING = "juju-websocket-logging",
  JUJULIB_UTILS = "jujulib-utils",
  LAZY_MODEL_LIST = "lazy-model-list",
  LOADING_SPINNER = "loading-spinner",
  LOCAL_CHARM_IMPORT_HELPERS = "local-charm-import-helpers",
  LOCAL_INSPECTOR = "local-inspector",
  LOGIN_COMPONENT = "login-component",
  LOGOUT_COMPONENT = "logout-component",
  MACAROON = "macaroon",
  MACHINE_VIEW = "machine-view",
  MACHINE_VIEW_ADD_MACHINE = "machine-view-add-machine",
  MACHINE_VIEW_COLUMN = "machine-view-column",
  MACHINE_VIEW_HEADER = "machine-view-header",
  MACHINE_VIEW_MACHINE = "machine-view-machine",
  MACHINE_VIEW_SCALE_UP = "machine-view-scale-up",
  MACHINE_VIEW_UNPLACED_UNIT = "machine-view-unplaced-unit",
  MID_POINT = "mid-point",
  MODEL = "model",
  MODEL_CONTROLLER = "model-controller",
  MODEL_LIST = "model-list",
  MORE_MENU = "more-menu",
  NET_UTILS = "net-utils",
  NODE = "node",
  NOTIFICATION_LIST = "notification-list",
  NOTIFICATION_LIST_ITEM = "notification-list-item",
  NS_ROUTING_APP_EXTENSION = "ns-routing-app-extension",
  OOP = "oop",
  OPTIONAL = "optional",
  OVERVIEW_ACTION = "overview-action",
  PANEL = "panel",
  PANEL_COMPONENT = "panel-component",
  PATH = "path",
  PRETTIFY = "prettify",
  PROMISE = "promise",
  QUERYSTRING = "querystring",
  QUERYSTRING_PARSE = "querystring-parse",
  QUERYSTRING_STRINGIFY = "querystring-stringify",
  RECONNECTING_WEBSOCKET = "reconnecting-websocket",
  REQUIRES = "requires",
  ROUTER = "router",
  SCALE_SERVICE = "scale-service",
  SEARCH_RESULTS = "search-results",
  SEARCH_RESULTS_ITEM = "search-results-item",
  SEARCH_RESULTS_SELECT_FILTER = "search-results-select-filter",
  SEARCH_RESULTS_TYPE_FILTER = "search-results-type-filter",
  SERVICE_OVERVIEW = "service-overview",
  SKINNABLE = "skinnable",
  STORE = "store",
  STRING_CONFIG = "string-config",
  SUPERSEDES = "supersedes",
  SVG_ICON = "svg-icon",
  TIMERS = "timers",
  TYPE = "type",
  UNIT_DETAILS = "unit-details",
  UNIT_LIST = "unit-list",
  UNIT_LIST_ITEM = "unit-list-item",
  USE = "use",
  USER_PROFILE = "user-profile",
  USER_PROFILE_HEADER = "user-profile-header",
  USER_PROFILE_LIST = "user-profile-list",
  VIEW = "view",
  YUI_LATER = "yui-later",
  YUI_PATCHES = "yui-patches",
  ZIP = "zip",
  ZIP_UTILS = "zip-utils",
  modules = {},
  TRUE = true,
  FALSE = false,
  CORE_CSS = ["cssreset", "cssfonts", "cssgrids", "cssreset-context", "cssfonts-context", "cssgrids-context"],
  module_info,
  after_list;

  modules[FILESAVER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/FileSaver-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ADDED_SERVICES_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/added-services-list/added-services-list-min.js";
  module_info[REQUIRES] = [ADDED_SERVICES_LIST_ITEM];
  module_info[TYPE] = JS;

  modules[ADDED_SERVICES_LIST_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/added-services-list-item/added-services-list-item-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[APP_COOKIES_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/app-cookies-extension-min.js";
  module_info[REQUIRES] = [BASE, COOKIE];
  module_info[TYPE] = JS;

  modules[AUTODEPLOY_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/autodeploy-extension-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[BOOLEAN_CONFIG] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/boolean-config/boolean-config-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[BROWSER_CACHE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/cache-min.js";
  module_info[REQUIRES] = [MODEL, MODEL_LIST];
  module_info[TYPE] = JS;

  modules[BUNDLE_IMPORT_NOTIFICATIONS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/bundle-import-notifications-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[BUNDLE_IMPORTER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/bundle-importer-min.js";
  module_info[REQUIRES] = [JUJU_ENV_GO, ENVIRONMENT_CHANGE_SET];
  module_info[TYPE] = JS;

  modules[BUTTON_ROW] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/button-row/button-row-min.js";
  module_info[REQUIRES] = [GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[CHANGES_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/changes-utils-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[CHARMBROWSER_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/charmbrowser/charmbrowser-min.js";
  module_info[REQUIRES] = [ENTITY_DETAILS, MID_POINT, SEARCH_RESULTS, STORE];
  module_info[TYPE] = JS;

  modules[CONSTRAINTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/constraints/constraints-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[COPY_TO_CLIPBOARD] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/copy-to-clipboard/copy-to-clipboard-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[D3_COMPONENTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "d3-components/d3-components-min.js";
  module_info[REQUIRES] = [D3, BASE, ARRAY_EXTRAS, EVENT, EVENT_RESIZE];
  module_info[TYPE] = JS;

  modules[D3_STATUSBAR] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "d3-components/d3.status-min.js";
  module_info[REQUIRES] = [D3, JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_BAR] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-bar/deployment-bar-min.js";
  module_info[REQUIRES] = [DEPLOYMENT_BAR_NOTIFICATION, PANEL_COMPONENT];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_BAR_NOTIFICATION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-bar-notification/deployment-bar-notification-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment/deployment-min.js";
  module_info[REQUIRES] = [DEPLOYMENT_BAR, DEPLOYMENT_SUMMARY];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_SUMMARY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-summary/deployment-summary-min.js";
  module_info[REQUIRES] = [DEPLOYMENT_SUMMARY_CHANGE_ITEM, DEPLOYMENT_SUMMARY_PLACEMENT, GENERIC_BUTTON, PANEL_COMPONENT, SVG_ICON];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_SUMMARY_CHANGE_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-summary-change-item/deployment-summary-change-item-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_SUMMARY_PLACEMENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-summary/deployment-summary-placement-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-content/entity-content-min.js";
  module_info[REQUIRES] = [ENTITY_CONTENT_CONFIG_OPTION, ENTITY_CONTENT_README, ENTITY_CONTENT_RELATIONS, ENTITY_CONTENT_REVISIONS, ENTITY_FILES];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_CONFIG_OPTION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-content-config-option/entity-content-config-option-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_DIAGRAM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-content-diagram/entity-content-diagram-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_README] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-content-readme/entity-content-readme-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_RELATIONS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-content/entity-content-relations-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_REVISIONS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-content/entity-content-revisions-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_DETAILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/entity-details-min.js";
  module_info[REQUIRES] = [ENTITY_HEADER, ENTITY_CONTENT, ENTITY_CONTENT_DIAGRAM, JUJULIB_UTILS, LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[ENTITY_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/entity-extension-min.js";
  module_info[REQUIRES] = [JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[ENTITY_FILES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-files/entity-files-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_HEADER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-header/entity-header-min.js";
  module_info[REQUIRES] = [COPY_TO_CLIPBOARD, GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[ENV_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/env-list/env-list-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, PANEL_COMPONENT];
  module_info[TYPE] = JS;

  modules[ENV_SIZE_DISPLAY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/env-size-display/env-size-display-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENV_SWITCHER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/env-switcher/env-switcher-min.js";
  module_info[REQUIRES] = [ENV_LIST, SVG_ICON];
  module_info[TYPE] = JS;

  modules[ENVIRONMENT_CHANGE_SET] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/environment-change-set-min.js";
  module_info[REQUIRES] = [BASE, BASE_BUILD, JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[EVENT_TRACKER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/event-tracker-min.js";
  module_info[REQUIRES] = [BASE, EVENT];
  module_info[TYPE] = JS;

  modules[EXPANDING_PROGRESS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/expanding-progress/expanding-progress-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[GENERIC_BUTTON] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/generic-button/generic-button-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[GHOST_DEPLOYER_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/ghost-deployer-extension-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[HEADER_SEARCH] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/header-search/header-search-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[INSPECTOR_CHANGE_VERSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector-change-version/inspector-change-version-min.js";
  module_info[REQUIRES] = [INSPECTOR_CHANGE_VERSION_ITEM, LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[INSPECTOR_CHANGE_VERSION_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector-change-version-item/inspector-change-version-item-min.js";
  module_info[REQUIRES] = [GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[INSPECTOR_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/inspector-min.js";
  module_info[REQUIRES] = [INSPECTOR_CHANGE_VERSION, INSPECTOR_EXPOSE, INSPECTOR_HEADER, INSPECTOR_CONFIG, INSPECTOR_RELATIONS, SCALE_SERVICE, SERVICE_OVERVIEW, UNIT_DETAILS, UNIT_LIST];
  module_info[TYPE] = JS;

  modules[INSPECTOR_CONFIG] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector-config/inspector-config-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, STRING_CONFIG, BOOLEAN_CONFIG];
  module_info[TYPE] = JS;

  modules[INSPECTOR_CONFIRM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector-confirm/inspector-confirm-min.js";
  module_info[REQUIRES] = [BUTTON_ROW];
  module_info[TYPE] = JS;

  modules[INSPECTOR_EXPOSE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector-expose/inspector-expose-min.js";
  module_info[REQUIRES] = [BOOLEAN_CONFIG, INSPECTOR_EXPOSE_UNIT];
  module_info[TYPE] = JS;

  modules[INSPECTOR_EXPOSE_UNIT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector-expose-unit/inspector-expose-unit-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[INSPECTOR_HEADER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector-header/inspector-header-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[INSPECTOR_RELATIONS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector-relations/inspector-relations-min.js";
  module_info[REQUIRES] = [INSPECTOR_RELATIONS_ITEM];
  module_info[TYPE] = JS;

  modules[INSPECTOR_RELATIONS_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector-relations-item/inspector-relations-item-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[JS_YAML] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/js-yaml.min-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[JUJU_APP_STATE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/state-min.js";
  module_info[REQUIRES] = [MODEL, QUERYSTRING];
  module_info[TYPE] = JS;

  modules[JUJU_BROWSER_MODELS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/browser-min.js";
  module_info[REQUIRES] = [MODEL, QUERYSTRING_STRINGIFY];
  module_info[TYPE] = JS;

  modules[JUJU_BUNDLE_MODELS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/bundle-min.js";
  module_info[REQUIRES] = [JUJU_VIEW_UTILS, MODEL, MODEL_LIST, ENTITY_EXTENSION];
  module_info[TYPE] = JS;

  modules[JUJU_CHARM_MODELS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/charm-min.js";
  module_info[REQUIRES] = [MODEL, MODEL_LIST, ENTITY_EXTENSION];
  module_info[TYPE] = JS;

  modules[JUJU_DELTA_HANDLERS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/handlers-min.js";
  module_info[REQUIRES] = [BASE, ARRAY_EXTRAS];
  module_info[TYPE] = JS;

  modules[JUJU_ENDPOINTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/endpoints-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[JUJU_ENDPOINTS_CONTROLLER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/endpoints-min.js";
  module_info[REQUIRES] = [JUJU_MODELS];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_BAKERY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/bakery-min.js";
  module_info[REQUIRES] = [BASE, COOKIE, NODE, JUJU_ENV_BASE, JUJU_ENV_WEB_HANDLER, MACAROON];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_BASE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/base-min.js";
  module_info[REQUIRES] = [BASE, JSON_PARSE, JSON_STRINGIFY, RECONNECTING_WEBSOCKET];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_FAKEBACKEND] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/fakebackend-min.js";
  module_info[REQUIRES] = [BASE, JS_YAML, JUJU_MODELS, PROMISE, ZIP_UTILS, JUJULIB_UTILS, JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_GO] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/go-min.js";
  module_info[REQUIRES] = [BASE, JSON_PARSE, JSON_STRINGIFY, JUJU_ENV_BASE, JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_SANDBOX] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/sandbox-min.js";
  module_info[REQUIRES] = [BASE, JS_YAML, JSON_PARSE, JUJU_ENV_GO, RECONNECTING_WEBSOCKET, TIMERS];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_WEB_HANDLER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/web-handler-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_WEB_SANDBOX] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/web-sandbox-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[JUJU_FAKEBACKEND_SIMULATOR] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/simulator-min.js";
  module_info[REQUIRES] = [BASE, EVENT, JUJU_MODELS, PROMISE, YUI_LATER];
  module_info[TYPE] = JS;

  modules[JUJU_GUI] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "app-min.js";
  module_info[REQUIRES] = [CHANGES_UTILS, JUJU_APP_STATE, JUJU_CHARM_MODELS, JUJU_BUNDLE_MODELS, JUJU_ENDPOINTS_CONTROLLER, JUJU_ENV_BAKERY, JUJU_ENV_BASE, JUJU_ENV_FAKEBACKEND, JUJU_ENV_GO, JUJU_ENV_SANDBOX, JUJU_ENV_WEB_HANDLER, JUJU_ENV_WEB_SANDBOX, JUJU_FAKEBACKEND_SIMULATOR, JUJU_MODELS, JUJULIB_UTILS, NET_UTILS, NS_ROUTING_APP_EXTENSION, CHARMBROWSER_COMPONENT, DEPLOYMENT_COMPONENT, ENV_SIZE_DISPLAY, ENV_SWITCHER, EXPANDING_PROGRESS, HEADER_SEARCH, INSPECTOR_COMPONENT, LOCAL_INSPECTOR, MACHINE_VIEW, LOGIN_COMPONENT, LOGOUT_COMPONENT, NOTIFICATION_LIST, PANEL_COMPONENT, USER_PROFILE, D3_COMPONENTS, JUJU_TEMPLATES, JUJU_VIEW_UTILS, JUJU_TOPOLOGY, JUJU_VIEW_ENVIRONMENT, JUJU_LANDSCAPE, AUTODEPLOY_EXTENSION, JUJU_WEBSOCKET_LOGGING, IO, JSON_PARSE, APP_BASE, APP_TRANSITIONS, BASE, BUNDLE_IMPORTER, BUNDLE_IMPORT_NOTIFICATIONS, EVENT_TRACKER, NODE, MODEL, APP_COOKIES_EXTENSION, COOKIE, QUERYSTRING, EVENT_KEY, EVENT_TOUCH, MODEL_CONTROLLER, FILESAVER, GHOST_DEPLOYER_EXTENSION, LOCAL_CHARM_IMPORT_HELPERS, ENVIRONMENT_CHANGE_SET, GALLERY_MARKDOWN, HANDLEBARS];
  module_info[TYPE] = JS;

  modules[JUJU_LANDSCAPE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/landscape-min.js";
  module_info[REQUIRES] = [JUJU_MODELS, JUJU_TEMPLATES, JUJU_VIEW_UTILS, BASE];
  module_info[TYPE] = JS;

  modules[JUJU_MODELS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/models-min.js";
  module_info[REQUIRES] = [MODEL, MODEL_LIST, LAZY_MODEL_LIST, DATASOURCE_IO, DATASOURCE_JSONSCHEMA, IO_BASE, JSON_PARSE, JUJU_DELTA_HANDLERS, JUJU_ENDPOINTS, JUJU_VIEW_UTILS, JUJU_CHARM_MODELS, JUJU_ENV_GO, PROMISE];
  module_info[TYPE] = JS;

  modules[JUJU_TEMPLATES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "templates-min.js";
  module_info[REQUIRES] = [HANDLEBARS_BASE];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/topology-min.js";
  module_info[REQUIRES] = [D3, D3_COMPONENTS, NODE, EVENT, JUJU_TEMPLATES, JUJU_TOPOLOGY_SERVICE, JUJU_TOPOLOGY_RELATION, JUJU_TOPOLOGY_PANZOOM, JUJU_TOPOLOGY_VIEWPORT, JUJU_TOPOLOGY_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_PANZOOM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/panzoom-min.js";
  module_info[REQUIRES] = [NODE, EVENT, D3, D3_COMPONENTS];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_RELATION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/relation-min.js";
  module_info[REQUIRES] = [D3, D3_COMPONENTS, NODE, EVENT, JUJU_MODELS, JUJU_TOPOLOGY_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_SERVICE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/service-min.js";
  module_info[REQUIRES] = [D3, D3_COMPONENTS, D3_STATUSBAR, JUJU_TEMPLATES, JUJU_MODELS, ZIP_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/utils-min.js";
  module_info[REQUIRES] = [D3];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_VIEWPORT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/viewport-min.js";
  module_info[REQUIRES] = [D3_COMPONENTS, NODE, EVENT];
  module_info[TYPE] = JS;

  modules[JUJU_VIEW_ENVIRONMENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/environment-min.js";
  module_info[REQUIRES] = [BASE_BUILD, EVENT_TRACKER, HANDLEBARS_BASE, JUJU_TEMPLATES, JUJU_TOPOLOGY, NODE, VIEW];
  module_info[TYPE] = JS;

  modules[JUJU_VIEW_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/utils-min.js";
  module_info[REQUIRES] = [BASE_BUILD, ESCAPE, HANDLEBARS, NODE, VIEW, PANEL, JSON_STRINGIFY, DATATYPE_DATE_FORMAT];
  module_info[TYPE] = JS;

  modules[JUJU_WEBSOCKET_LOGGING] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "websocket-logging-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[JUJULIB_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/jujulib-conversion-utils-min.js";
  module_info[REQUIRES] = [JUJU_CHARM_MODELS, JUJU_BUNDLE_MODELS];
  module_info[TYPE] = JS;

  modules[LOADING_SPINNER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/spinner/spinner-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[LOCAL_CHARM_IMPORT_HELPERS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/local-inspector/local-charm-import-helpers-min.js";
  module_info[REQUIRES] = [JUJU_TEMPLATES];
  module_info[TYPE] = JS;

  modules[LOCAL_INSPECTOR] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/local-inspector/local-inspector-min.js";
  module_info[REQUIRES] = [BUTTON_ROW];
  module_info[TYPE] = JS;

  modules[LOGIN_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/login/login-min.js";
  module_info[REQUIRES] = [SVG_ICON, GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[LOGOUT_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/logout/logout-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[MACAROON] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/yui-macaroon-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/machine-view-min.js";
  module_info[REQUIRES] = [MACHINE_VIEW_ADD_MACHINE, MACHINE_VIEW_COLUMN, MACHINE_VIEW_HEADER, MACHINE_VIEW_MACHINE, MACHINE_VIEW_SCALE_UP, MACHINE_VIEW_UNPLACED_UNIT, SVG_ICON];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_ADD_MACHINE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/add-machine/add-machine-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, CONSTRAINTS];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_COLUMN] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/column/column-min.js";
  module_info[REQUIRES] = [MACHINE_VIEW_HEADER, SVG_ICON];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_HEADER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/header/header-min.js";
  module_info[REQUIRES] = [MORE_MENU, GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_MACHINE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/machine/machine-min.js";
  module_info[REQUIRES] = [MORE_MENU];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_SCALE_UP] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/scale-up/scale-up-min.js";
  module_info[REQUIRES] = [BUTTON_ROW];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_UNPLACED_UNIT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/unplaced-unit/unplaced-unit-min.js";
  module_info[REQUIRES] = [MACHINE_VIEW_ADD_MACHINE, MORE_MENU];
  module_info[TYPE] = JS;

  modules[MID_POINT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/mid-point/mid-point-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[MODEL_CONTROLLER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/model-controller-min.js";
  module_info[REQUIRES] = [BASE_BUILD, BASE, PROMISE];
  module_info[TYPE] = JS;

  modules[MORE_MENU] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/more-menu/more-menu-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[NET_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/net-utils-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[NOTIFICATION_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/notification-list/notification-list-min.js";
  module_info[REQUIRES] = [NOTIFICATION_LIST_ITEM];
  module_info[TYPE] = JS;

  modules[NOTIFICATION_LIST_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/notification-list-item/notification-list-item-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[NS_ROUTING_APP_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/ns-routing-app-extension-min.js";
  module_info[REQUIRES] = [QUERYSTRING_PARSE, OOP, ROUTER];
  module_info[TYPE] = JS;

  modules[OVERVIEW_ACTION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/overview-action/overview-action-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[PANEL_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/panel/panel-min.js";
  module_info[REQUIRES] = [ADDED_SERVICES_LIST];
  module_info[TYPE] = JS;

  modules[PRETTIFY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/prettify-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[RECONNECTING_WEBSOCKET] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/reconnecting-websocket-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[SCALE_SERVICE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/scale-service/scale-service-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, CONSTRAINTS];
  module_info[TYPE] = JS;

  modules[SEARCH_RESULTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/search-results/search-results-min.js";
  module_info[REQUIRES] = [LOADING_SPINNER, SEARCH_RESULTS_ITEM, SEARCH_RESULTS_SELECT_FILTER, SEARCH_RESULTS_TYPE_FILTER];
  module_info[TYPE] = JS;

  modules[SEARCH_RESULTS_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/search-results-item/search-results-item-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SEARCH_RESULTS_SELECT_FILTER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/search-results/search-results-select-filter-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SEARCH_RESULTS_TYPE_FILTER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/search-results-type-filter/search-results-type-filter-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SERVICE_OVERVIEW] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/service-overview/service-overview-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, INSPECTOR_CONFIRM, OVERVIEW_ACTION];
  module_info[TYPE] = JS;

  modules[STORE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/store/store-min.js";
  module_info[REQUIRES] = [MID_POINT];
  module_info[TYPE] = JS;

  modules[STRING_CONFIG] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/string-config/string-config-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SVG_ICON] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/svg-icon/svg-icon-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[UNIT_DETAILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/unit-details/unit-details-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, INSPECTOR_CONFIRM];
  module_info[TYPE] = JS;

  modules[UNIT_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/unit-list/unit-list-min.js";
  module_info[REQUIRES] = [OVERVIEW_ACTION, BUTTON_ROW, UNIT_LIST_ITEM, OVERVIEW_ACTION];
  module_info[TYPE] = JS;

  modules[UNIT_LIST_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/unit-list-item/unit-list-item-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[USER_PROFILE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/user-profile-min.js";
  module_info[REQUIRES] = [SVG_ICON, PANEL_COMPONENT, USER_PROFILE_HEADER, USER_PROFILE_LIST];
  module_info[TYPE] = JS;

  modules[USER_PROFILE_HEADER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile-header/user-profile-header-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[USER_PROFILE_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile-list/user-profile-list-min.js";
  module_info[REQUIRES] = [LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[YUI_PATCHES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/yui-patches-min.js";
  module_info[REQUIRES] = [LAZY_MODEL_LIST];
  module_info[TYPE] = JS;

  modules[ZIP] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/zip-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ZIP_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/zip-utils-min.js";
  module_info[REQUIRES] = [BASE, ZIP];
  module_info[TYPE] = JS;

  return modules;
})();